%define __libtoolize /bin/true
%define libmajor 0
%define name katalog
%define libname %mklibname %name %libmajor

Name:		%{name}
Version:	0.4
Release:	%mkrel 4
Group:		Archiving/Other
License:	GPL
URL:		http://salvaste.altervista.org/
Source:		http://salvaste.altervista.org/%{name}-%{version}.tar.bz2
BuildRequires:	kdelibs-devel
BuildRequires:	sqlite3-devel
BuildRequires:	scons
Summary:	CD organizer for the K Desktop Environment
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes:	%libname

%description
With this application you can scan a CD and store all the data about each
file in a tree structured catalog. You can add as many catalogs as you like.
Searching through the catalogs it's easy and fast.

The folder to search can be on your drive or on a removable media, such a CD,
ZIP or floppy.

Katalog saves data in a XML file, compressed on the fly using gzip.

%prep
%setup -q

%build
export CXXFLAGS="%{optflags}"
scons configure \
	prefix=%{_prefix} \
	datadir=%{_datadir} libdir=%{_libdir} \
	qtdir=%{qt3dir} \
	qtincludes=%{qt3include} qtlibs=%{qt3lib}
scons

%install
rm -Rf %{buildroot}
scons install DESTDIR=%{buildroot}

# fwang: dispatch the plugins into correct dir
mkdir -p %{buildroot}%{qt3plugins}/sqldrivers
mv %{buildroot}%{qt3dir}/plugins/sqldrivers/* %{buildroot}%{qt3plugins}/sqldrivers

%clean
rm -Rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog TODO NEWS
%{_bindir}/*
%{_datadir}/services/*
%{_datadir}/mimelnk/*/*
%{_datadir}/apps/%{name}
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/apps/konqsidebartng/virtual_folders/services/*.desktop
%{_iconsdir}/*/*/*/%{name}*.png
%{_libdir}/kde3/*
%{qt3plugins}/sqldrivers/*


%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4-4mdv2008.1
+ Revision: 170909
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Oct 25 2007 Funda Wang <fundawang@mandriva.org> 0.4-3mdv2008.1
+ Revision: 101953
- fix bug# 34977, binaries are wrongly put into /usr/bin/bin
- drop libkatalog package, because it is not versioned.

* Mon Jun 25 2007 Funda Wang <fundawang@mandriva.org> 0.4-2mdv2008.0
+ Revision: 43976
- migerate to whole scons command
- BR sqlite3
- fix package conflict
- New upstream version
  adopt to new devel package policy
  devel package not avaliable?


* Fri Jul 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3-3mdv2007.0
- Rebuild

* Thu May 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3-2mdk
- Fix build for amd64

* Thu Nov 11 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.3-1mdk
- Initial Mandrake package

